package com.mvc.dao;

import com.mvc.entity.TChkrptDetail;
import com.mvc.entity.TChkrptDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TChkrptDetailMapper {
    long countByExample(TChkrptDetailExample example);

    int deleteByExample(TChkrptDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TChkrptDetail record);

    int insertSelective(TChkrptDetail record);

    List<TChkrptDetail> selectByExample(TChkrptDetailExample example);

    TChkrptDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TChkrptDetail record, @Param("example") TChkrptDetailExample example);

    int updateByExample(@Param("record") TChkrptDetail record, @Param("example") TChkrptDetailExample example);

    int updateByPrimaryKeySelective(TChkrptDetail record);

    int updateByPrimaryKey(TChkrptDetail record);
}